Erstellt vor 6 Jahren

Geschlossen vor 6 Jahren

Zuletzt geändert vor 5 Jahren

#1462 closed enhancement (fixed)

Provide "remove/replace-patch" for e2fsprogs

Erstellt von: er13 Verantwortlicher:
Priorität: normal Meilenstein: freetz-2.0
Komponente: patches Version: devel
Stichworte: Beobachter:
Product Id: Firmware Version: xxxx.05.yy

Beschreibung

Starting from the version xxxx.05.yy original AVM-firmware contains some (all?) of the e2fsprogs binaries. The binaries are linked against shared libraries located under /usr/lib.

Investigate if a simple "remove-patch" would suffice, if not provide a "replace-patch".

Anhänge (1)

avm_e2fsprog.patch (1.6 KB) - hinzugefügt von oliver vor 6 Jahren.

Alle Anhänge herunterladen als: .zip

Änderungshistorie (12)

comment:1 Geändert vor 6 Jahren durch oliver

hippie2000 hat sich auch schon beschwert, dass ich dem Kind einen falschen Namen gegeben hab…
http://freetz.org/changeset/6824

edit: Der letzte Patch von hippie2000 mit den e2fsprogs Symlinks war quasi die replace Variante.

Zuletzt geändert vor 6 Jahren von oliver (vorher) (Diff)

Geändert vor 6 Jahren durch oliver

comment:2 Geändert vor 6 Jahren durch oliver

In [7594]:

  • patches: Rename remove option from util-linux to e2fsprogs (refs #1462)

comment:3 Geändert vor 6 Jahren durch oliver

In [7600]:

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

comment:4 Geändert vor 6 Jahren durch oliver

In [7629]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:5 Geändert vor 6 Jahren durch oliver

In [7630]:

[freetz-stable-1.2]: Merge in r7452, r7470, r7522:7523, r7526, r7580, r7596, r7598, r7600, r7602:7603 from trunk (refs #1396):


r7452 | cuma | 2011-08-05 18:06:26 +0200 (Fr, 05. Aug 2011) | 3 Zeilen
replace-dtrace patch added:

  • execute a custom action by phone
  • thx hippie2000 for help

r7470 | oliver | 2011-08-12 10:24:44 +0200 (Fr, 12. Aug 2011) | 1 Zeile

  • replace dtrace: Update menuconfig help (by dileks)

r7522 | cuma | 2011-08-24 23:02:23 +0200 (Mi, 24. Aug 2011) | 2 Zeilen
customisation "tagging" added (refs #1470)
moved favicon-files to /graphics too


r7523 | cuma | 2011-08-25 01:30:31 +0200 (Do, 25. Aug 2011) | 1 Zeile
fix typo in r7522, thx schlimmchen (refs #1470)


r7526 | cuma | 2011-08-25 15:04:26 +0200 (Do, 25. Aug 2011) | 1 Zeile
tagging: use only one picture for both versions (refs #1470)


r7580 | cuma | 2011-09-05 23:45:57 +0200 (Mo, 05. Sep 2011) | 3 Zeilen
tagging:

  • add support for very old firmware, like 7050's
  • by buehmann, refs #1470

r7596 | oliver | 2011-09-11 19:44:58 +0200 (So, 11. Sep 2011) | 1 Zeile

  • squashfs: Allow blocksizes > 64 KB only for 2.6.13.1 and 2.6.19.2

r7598 | oliver | 2011-09-11 20:34:56 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • external: Fix detection of external directory on nand (by capt_bluebaer)

r7600 | oliver | 2011-09-11 21:56:31 +0200 (So, 11. Sep 2011) | 2 Zeilen

  • usbroot: Replace AVM e2fsck with Freetz version (AVM version misses timestamp patch, r4806)

r7602 | cuma | 2011-09-12 13:13:13 +0200 (Mo, 12. Sep 2011) | 3 Zeilen
samba:

  • fix path & names of logfiles (by make)

closes #1496


r7603 | oliver | 2011-09-13 19:32:23 +0200 (Di, 13. Sep 2011) | 3 Zeilen

  • Fix W701V 7170 Alien patch (by dileks)

comment:6 Geändert vor 6 Jahren durch cuma

  • Status von new nach closed geändert

Anscheinend schon im voraus behoben

comment:7 Geändert vor 6 Jahren durch cuma

  • Status von closed nach reopened geändert

comment:8 Geändert vor 6 Jahren durch cuma

  • Lösung auf fixed gesetzt
  • Status von reopened nach closed geändert

comment:9 Geändert vor 6 Jahren durch cuma

Weshalb geht "fixed" nicht immer?

comment:10 Geändert vor 6 Jahren durch cuma

In [8475]:

rename remove patch: ultil_linux to e2fsprogs (refs #1462)

comment:11 Geändert vor 5 Jahren durch cuma

  • Meilenstein von freetz-1.3 nach freetz-2.0 geändert
Hinweis: Hilfe zur Verwendung von Tickets finden Sie in TracTickets.